airRho {oce} | R Documentation

## Air density

### Description

Compute, rho, the in-situ density of air.

### Usage

    airRho(temperature, pressure, humidity)

### Arguments

`temperature` | in-situ temperature [degC]
`pressure` | pressure in Pa (NOT kPa) – ignored at present
`humidity` | ignored at present

### Details

This will eventually be a proper equation of state, but for now it's just returns something from wikipedia (i.e. not trustworthy), and not using humidity.

### Value

In-situ air density [kg/m^3].

### Author(s)

Dan Kelley

### References

National Oceanographic and Atmospheric Agency, 1976. U.S. Standard Atmosphere, 1976. NOAA-S/T 76-1562. (A PDF of this document may be available at `http://ntrs.nasa.gov/archive/nasa/casi.ntrs.nasa.gov/19770009539_1977009539.pdf` or `http://www.dtic.mil/cgi-bin/GetTRDoc?Location=U2&doc=GetTRDoc.pdf&AD=ADA035728` although neither link has proven to be reliable.)

### Examples

    degC <- seq(0,30,length.out=100)
    p <- seq(98,102,length.out=100) * 1e3
    contour(x=degC, y=p, z=outer(degC,p,airRho), labcex=1)

[Package oce version 0.9-22 Index]